## r-cran-rmarkdown 2.20+dfsg

=== debian/changelog ===
r-cran-rmarkdown (2.20+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 17:06:40 +0100

r-cran-rmarkdown (2.19+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Drop pandoc-citeproc from Test-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 17:15:43 +0100

r-cran-rmarkdown (2.18+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 16 Nov 2022 11:58:48 +0100

r-cran-rmarkdown (2.17+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 13:14:40 +0200

r-cran-rmarkdown (2.16+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.16+dfsg
  * Versioned dep on jquerylib to smoothen transition

 -- Nilesh Patra <nilesh@debian.org>  Thu, 15 Sep 2022 17:53:51 +0530

=== debian/control ===
Source: r-cran-rmarkdown
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-bslib,
               r-cran-evaluate,
               r-cran-htmltools (>= 0.5.1),
               r-cran-jquerylib,
               r-cran-jsonlite,
               r-cran-knitr (>= 1.22),
               r-cran-stringr,
               r-cran-tinytex (>= 0.31),
               r-cran-xfun (>= 0.36),
               r-cran-yaml,
               libjs-jquery
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rmarkdown
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rmarkdown.git
Homepage: https://cran.r-project.org/package=rmarkdown
Rules-Requires-Root: no

Package: r-cran-rmarkdown
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         libjs-bootstrap,
         libjs-highlight.js,
         libjs-jquery-ui,
         libjs-modernizr,
         libjs-prettify,
         r-cran-jquerylib,
         fonts-font-awesome,
         pandoc,
         r-cran-shiny,
         node-html5shiv
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: convert R markdown documents into a variety of formats
 R Markdown is a framework for creating documents that mix R code with
 markdown to produce visually pleasing, high quality and reproducible
 reports. It supports various output formats, including HTML, PDF,
 Microsoft Word and Beamer.
 .
 Please note: Upstream rmarkdown contains export to ioslides.  This was
 removed from the Debian package due to not existing license statement.
 If you need this functionality you need to install rmarkdown manually
 from CRAN.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_auto_configure:
	mkdir -p inst/rmd/h/jquery
	ln -s /usr/share/nodejs/jquery/dist/jquery.min.js inst/rmd/h/jquery/
	dh_auto_configure

override_dh_install:
	dh_install
	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/$(debRdir)/$(cranName)/rmd/ioslides/ioslides-13.5.1/js/polyfills
#	cp -a debian/js/requirejs/order.min.js		$(CURDIR)/debian/$(DEB_SOURCE)/$(debRdir)/$(cranName)/rmd/ioslides/ioslides-13.5.1/js/order.js
#	cp -a debian/js/requirejs/require.min.js	$(CURDIR)/debian/$(DEB_SOURCE)/$(debRdir)/$(cranName)/rmd/ioslides/ioslides-13.5.1/js/require-1.0.8.min.js
#	cp -a debian/js/classList.js/classList.min.js	$(CURDIR)/debian/$(DEB_SOURCE)/$(debRdir)/$(cranName)/rmd/ioslides/ioslides-13.5.1/js/polyfills/classList.min.js
	find debian -name LICENSE -delete

override_dh_fixperms:
	dh_fixperms
	find debian \( -name "*.ttf" -o -name "*.tex" \) -executable -exec chmod -x \{\} \;

override_dh_auto_clean:
	dh_auto_clean
	rm -rf inst/rmd/h/jquery # cleaning up directory created in dh_auto_configure

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         pandoc,
         texlive-latex-base,
         texlive-fonts-recommended,
         texlive-fonts-extra,
         texlive-latex-extra,
         texlive-latex-recommended,
         texlive-plain-generic,
         lmodern,
         r-cran-shiny,
         r-cran-tufte,
         r-cran-testthat,
         r-cran-digest,
         r-cran-dygraphs (>= 1.1.1.6+dfsg-4~),
         r-cran-vctrs,
         r-cran-tibble,
         r-cran-fs,
         r-cran-rsconnect,
         r-cran-withr,
         r-cran-sass
Restrictions: allow-stderr

## r-cran-rmarkdown 2.23+dfsg

=== DESCRIPTION ===
Type: Package
Package: rmarkdown
Title: Dynamic Documents for R
Version: 2.23
Authors@R: c(
    person("JJ", "Allaire", , "jj@posit.co", role = "aut"),
    person("Yihui", "Xie", , "xie@yihui.name", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-0645-5666")),
    person("Christophe", "Dervieux", , "cderv@posit.co", role = "aut", comment = c(ORCID = "0000-0003-4474-2498")),
    person("Jonathan", "McPherson", , "jonathan@posit.co", role = "aut"),
    person("Javier", "Luraschi", role = "aut"),
    person("Kevin", "Ushey", , "kevin@posit.co", role = "aut"),
    person("Aron", "Atkins", , "aron@posit.co", role = "aut"),
    person("Hadley", "Wickham", , "hadley@posit.co", role = "aut"),
    person("Joe", "Cheng", , "joe@posit.co", role = "aut"),
    person("Winston", "Chang", , "winston@posit.co", role = "aut"),
    person("Richard", "Iannone", , "rich@posit.co", role = "aut", comment = c(ORCID = "0000-0003-3925-190X")),
    person("Andrew", "Dunning", role = "ctb", comment = c(ORCID = "0000-0003-0464-5036")),
    person("Atsushi", "Yasumoto", role = c("ctb", "cph"), comment = c(ORCID = "0000-0002-8335-495X", cph = "Number sections Lua filter")),
    person("Barret", "Schloerke", role = "ctb"),
    person("Carson", "Sievert", role = "ctb", comment = c(ORCID = "0000-0002-4958-2844")), 
    person("Devon", "Ryan", , "dpryan79@gmail.com", role = "ctb", comment = c(ORCID = "0000-0002-8549-0971")),
    person("Frederik", "Aust", , "frederik.aust@uni-koeln.de", role = "ctb", comment = c(ORCID = "0000-0003-4900-788X")),
    person("Jeff", "Allen", , "jeff@posit.co", role = "ctb"), 
    person("JooYoung", "Seo", role = "ctb", comment = c(ORCID = "0000-0002-4064-6012")),
    person("Malcolm", "Barrett", role = "ctb"),
    person("Rob", "Hyndman", , "Rob.Hyndman@monash.edu", role = "ctb"),
    person("Romain", "Lesur", role = "ctb"),
    person("Roy", "Storey", role = "ctb"),
    person("Ruben", "Arslan", , "ruben.arslan@uni-goettingen.de", role = "ctb"),
    person("Sergio", "Oller", role = "ctb"),
    person(given = "Posit Software, PBC", role = c("cph", "fnd")),
    person(, "jQuery UI contributors", role = c("ctb", "cph"), comment = "jQuery UI library; authors listed in inst/rmd/h/jqueryui/AUTHORS.txt"),
    person("Mark", "Otto", role = "ctb", comment = "Bootstrap library"),
    person("Jacob", "Thornton", role = "ctb", comment = "Bootstrap library"),
    person(, "Bootstrap contributors", role = "ctb", comment = "Bootstrap library"),
    person(, "Twitter, Inc", role = "cph", comment = "Bootstrap library"),
    person("Alexander", "Farkas", role = c("ctb", "cph"), comment = "html5shiv library"),
    person("Scott", "Jehl", role = c("ctb", "cph"), comment = "Respond.js library"),
    person("Ivan", "Sagalaev", role = c("ctb", "cph"), comment = "highlight.js library"),
    person("Greg", "Franko", role = c("ctb", "cph"), comment = "tocify library"),
    person("John", "MacFarlane", role = c("ctb", "cph"), comment = "Pandoc templates"),
    person(, "Google, Inc.", role = c("ctb", "cph"), comment = "ioslides library"),
    person("Dave", "Raggett", role = "ctb", comment = "slidy library"),
    person(, "W3C", role = "cph", comment = "slidy library"),
    person("Dave", "Gandy", role = c("ctb", "cph"), comment = "Font-Awesome"),
    person("Ben", "Sperry", role = "ctb", comment = "Ionicons"),
    person(, "Drifty", role = "cph", comment = "Ionicons"),
    person("Aidan", "Lister", role = c("ctb", "cph"), comment = "jQuery StickyTabs"),
    person("Benct Philip", "Jonsson", role = c("ctb", "cph"), comment = "pagebreak Lua filter"),
    person("Albert", "Krewinkel", role = c("ctb", "cph"), comment = "pagebreak Lua filter")
  )
Maintainer: Yihui Xie <xie@yihui.name>
Description: Convert R Markdown documents into a variety of formats.
License: GPL-3
URL: https://github.com/rstudio/rmarkdown,
        https://pkgs.rstudio.com/rmarkdown/
BugReports: https://github.com/rstudio/rmarkdown/issues
Depends: R (>= 3.0)
Imports: bslib (>= 0.2.5.1), evaluate (>= 0.13), fontawesome (>=
        0.5.0), htmltools (>= 0.5.1), jquerylib, jsonlite, knitr (>=
        1.22), methods, stringr (>= 1.2.0), tinytex (>= 0.31), tools,
        utils, xfun (>= 0.36), yaml (>= 2.1.19)
Suggests: digest, dygraphs, fs, rsconnect, downlit (>= 0.4.0), katex
        (>= 1.4.0), sass (>= 0.4.0), shiny (>= 1.6.0), testthat (>=
        3.0.3), tibble, vctrs, cleanrmd, withr (>= 2.4.2)
VignetteBuilder: knitr
Config/Needs/website: rstudio/quillt, pkgdown
Encoding: UTF-8
RoxygenNote: 7.2.3
SystemRequirements: pandoc (>= 1.14) - http://pandoc.org
NeedsCompilation: no
Packaged: 2023-06-30 07:53:23 UTC; yihui
Author: JJ Allaire [aut],
  Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  Christophe Dervieux [aut] (<https://orcid.org/0000-0003-4474-2498>),
  Jonathan McPherson [aut],
  Javier Luraschi [aut],
  Kevin Ushey [aut],
  Aron Atkins [aut],
  Hadley Wickham [aut],
  Joe Cheng [aut],
  Winston Chang [aut],
  Richard Iannone [aut] (<https://orcid.org/0000-0003-3925-190X>),
  Andrew Dunning [ctb] (<https://orcid.org/0000-0003-0464-5036>),
  Atsushi Yasumoto [ctb, cph] (<https://orcid.org/0000-0002-8335-495X>,
    Number sections Lua filter),
  Barret Schloerke [ctb],
  Carson Sievert [ctb] (<https://orcid.org/0000-0002-4958-2844>),
  Devon Ryan [ctb] (<https://orcid.org/0000-0002-8549-0971>),
  Frederik Aust [ctb] (<https://orcid.org/0000-0003-4900-788X>),
  Jeff Allen [ctb],
  JooYoung Seo [ctb] (<https://orcid.org/0000-0002-4064-6012>),
  Malcolm Barrett [ctb],
  Rob Hyndman [ctb],
  Romain Lesur [ctb],
  Roy Storey [ctb],
  Ruben Arslan [ctb],
  Sergio Oller [ctb],
  Posit Software, PBC [cph, fnd],
  jQuery UI contributors [ctb, cph] (jQuery UI library; authors listed in
    inst/rmd/h/jqueryui/AUTHORS.txt),
  Mark Otto [ctb] (Bootstrap library),
  Jacob Thornton [ctb] (Bootstrap library),
  Bootstrap contributors [ctb] (Bootstrap library),
  Twitter, Inc [cph] (Bootstrap library),
  Alexander Farkas [ctb, cph] (html5shiv library),
  Scott Jehl [ctb, cph] (Respond.js library),
  Ivan Sagalaev [ctb, cph] (highlight.js library),
  Greg Franko [ctb, cph] (tocify library),
  John MacFarlane [ctb, cph] (Pandoc templates),
  Google, Inc. [ctb, cph] (ioslides library),
  Dave Raggett [ctb] (slidy library),
  W3C [cph] (slidy library),
  Dave Gandy [ctb, cph] (Font-Awesome),
  Ben Sperry [ctb] (Ionicons),
  Drifty [cph] (Ionicons),
  Aidan Lister [ctb, cph] (jQuery StickyTabs),
  Benct Philip Jonsson [ctb, cph] (pagebreak Lua filter),
  Albert Krewinkel [ctb, cph] (pagebreak Lua filter)
Repository: CRAN
Date/Publication: 2023-07-01 07:20:02 UTC

=== debian/changelog ===
r-cran-rmarkdown (2.23+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-htmltools (>= 0.5.1).
  * Exclude test that needs not yet packaged cleanrmd

 -- Andreas Tille <tille@debian.org>  Sat, 22 Jul 2023 10:53:21 +0200

r-cran-rmarkdown (2.22+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-htmltools (>= 0.5.1).
    + Remove 3 maintscript entries from 1 files.

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 20:26:33 +0200

## r-cran-rmarkdown 2.25+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: rmarkdown
 Title: Dynamic Documents for R
-Version: 2.23
+Version: 2.25
 Authors@R: c(
     person("JJ", "Allaire", , "jj@posit.co", role = "aut"),
     person("Yihui", "Xie", , "xie@yihui.name", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-0645-5666")),
@@ -69,7 +69,7 @@
 RoxygenNote: 7.2.3
 SystemRequirements: pandoc (>= 1.14) - http://pandoc.org
 NeedsCompilation: no
-Packaged: 2023-06-30 07:53:23 UTC; yihui
+Packaged: 2023-09-15 16:52:22 UTC; yihui
 Author: JJ Allaire [aut],
   Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
   Christophe Dervieux [aut] (<https://orcid.org/0000-0003-4474-2498>),
@@ -118,4 +118,4 @@
   Benct Philip Jonsson [ctb, cph] (pagebreak Lua filter),
   Albert Krewinkel [ctb, cph] (pagebreak Lua filter)
 Repository: CRAN
-Date/Publication: 2023-07-01 07:20:02 UTC
+Date/Publication: 2023-09-18 09:30:02 UTC

=== debian/changelog ===
r-cran-rmarkdown (2.25+dfsg-3) unstable; urgency=medium

  * Revert "Demote pandoc from Depends to Recommends" since it breaks
    reverse dependencies

 -- Andreas Tille <tille@debian.org>  Mon, 11 Dec 2023 14:35:18 +0100

r-cran-rmarkdown (2.25+dfsg-2) unstable; urgency=medium

  * Demote pandoc from Depends to Recommends
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-htmltools (>= 0.5.1).

 -- Andreas Tille <tille@debian.org>  Thu, 07 Dec 2023 15:54:21 +0100

r-cran-rmarkdown (2.25+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-htmltools (>= 0.5.1).

 -- Andreas Tille <tille@debian.org>  Mon, 16 Oct 2023 13:46:59 +0200

r-cran-rmarkdown (2.24+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-htmltools (>= 0.5.1).

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2023 06:08:14 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
                r-base-dev,
                r-cran-bslib,
                r-cran-evaluate,
-               r-cran-htmltools (>= 0.5.1),
+               r-cran-fontawesome,
+               r-cran-htmltools,
                r-cran-jquerylib,
                r-cran-jsonlite,
-               r-cran-knitr (>= 1.22),
+               r-cran-knitr,
                r-cran-stringr,
                r-cran-tinytex (>= 0.31),
                r-cran-xfun (>= 0.36),

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-digest,
        r-cran-dygraphs,
        r-cran-fs,
        r-cran-rsconnect,
        r-cran-downlit (>= 0.4.0),
        r-cran-sass (>= 0.4.0),
        r-cran-shiny (>= 1.6.0),
        r-cran-testthat (>= 3.0.3),
        r-cran-tibble,
        r-cran-vctrs,
        r-cran-withr (>= 2.4.2),
        pandoc,
        texlive-latex-base,
        texlive-fonts-recommended,
        texlive-fonts-extra,
        texlive-latex-extra,
        texlive-latex-recommended,
        texlive-plain-generic,
        lmodern
Restrictions: allow-stderr

## r-cran-rmarkdown 2.27+dfsg

=== debian/changelog ===
r-cran-rmarkdown (2.27+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Refresh patches.
  * Drop versioned constraint on r-cran-htmltools (>= 0.5.1)
    in debian/patches/fix-autopkgtest.patch.
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-htmltools (>= 0.5.1).

 -- Charles Plessy <plessy@debian.org>  Tue, 16 Jul 2024 08:38:38 +0900

## r-cran-rmarkdown 2.28+dfsg

=== debian/changelog ===
r-cran-rmarkdown (2.28+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-htmltools (>= 0.5.1).

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Sep 2024 13:17:23 +0900

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,12 @@
                r-cran-htmltools,
                r-cran-jquerylib,
                r-cran-jsonlite,
-               r-cran-knitr,
-               r-cran-stringr,
+               r-cran-knitr (>= 1.43),
                r-cran-tinytex (>= 0.31),
                r-cran-xfun (>= 0.36),
                r-cran-yaml,
                libjs-jquery
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rmarkdown
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rmarkdown.git
 Homepage: https://cran.r-project.org/package=rmarkdown

## r-cran-rmarkdown 2.29+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: rmarkdown
 Title: Dynamic Documents for R
-Version: 2.25
+Version: 2.29
 Authors@R: c(
     person("JJ", "Allaire", , "jj@posit.co", role = "aut"),
     person("Yihui", "Xie", , "xie@yihui.name", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-0645-5666")),
@@ -49,7 +49,6 @@
     person("Benct Philip", "Jonsson", role = c("ctb", "cph"), comment = "pagebreak Lua filter"),
     person("Albert", "Krewinkel", role = c("ctb", "cph"), comment = "pagebreak Lua filter")
   )
-Maintainer: Yihui Xie <xie@yihui.name>
 Description: Convert R Markdown documents into a variety of formats.
 License: GPL-3
 URL: https://github.com/rstudio/rmarkdown,
@@ -58,18 +57,19 @@
 Depends: R (>= 3.0)
 Imports: bslib (>= 0.2.5.1), evaluate (>= 0.13), fontawesome (>=
         0.5.0), htmltools (>= 0.5.1), jquerylib, jsonlite, knitr (>=
-        1.22), methods, stringr (>= 1.2.0), tinytex (>= 0.31), tools,
-        utils, xfun (>= 0.36), yaml (>= 2.1.19)
+        1.43), methods, tinytex (>= 0.31), tools, utils, xfun (>=
+        0.36), yaml (>= 2.1.19)
 Suggests: digest, dygraphs, fs, rsconnect, downlit (>= 0.4.0), katex
         (>= 1.4.0), sass (>= 0.4.0), shiny (>= 1.6.0), testthat (>=
-        3.0.3), tibble, vctrs, cleanrmd, withr (>= 2.4.2)
+        3.0.3), tibble, vctrs, cleanrmd, withr (>= 2.4.2), xml2
 VignetteBuilder: knitr
 Config/Needs/website: rstudio/quillt, pkgdown
+Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 SystemRequirements: pandoc (>= 1.14) - http://pandoc.org
 NeedsCompilation: no
-Packaged: 2023-09-15 16:52:22 UTC; yihui
+Packaged: 2024-11-01 19:32:48 UTC; runner
 Author: JJ Allaire [aut],
   Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
   Christophe Dervieux [aut] (<https://orcid.org/0000-0003-4474-2498>),
@@ -117,5 +117,6 @@
   Aidan Lister [ctb, cph] (jQuery StickyTabs),
   Benct Philip Jonsson [ctb, cph] (pagebreak Lua filter),
   Albert Krewinkel [ctb, cph] (pagebreak Lua filter)
+Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2023-09-18 09:30:02 UTC
+Date/Publication: 2024-11-04 12:30:09 UTC

=== debian/changelog ===
r-cran-rmarkdown (2.29+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 23 Jan 2025 16:36:24 +0900

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                r-cran-fontawesome,
                r-cran-htmltools,
                r-cran-jquerylib,
-               r-cran-jsonlite,
                r-cran-knitr (>= 1.43),
                r-cran-tinytex (>= 0.31),
                r-cran-xfun (>= 0.36),

=== debian/tests/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
         r-cran-tibble,
         r-cran-vctrs,
         r-cran-withr (>= 2.4.2),
+        r-cran-xml2,
         pandoc,
         texlive-latex-base,
         texlive-fonts-recommended,

## r-cran-rmarkdown 2.30+dfsg

=== debian/changelog ===
r-cran-rmarkdown (2.30+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Feb 2026 09:06:10 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
            Steffen Moeller <moeller@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -14,11 +13,13 @@
                r-cran-htmltools,
                r-cran-jquerylib,
                r-cran-knitr (>= 1.43),
-               r-cran-tinytex (>= 0.31),
-               r-cran-xfun (>= 0.36),
+               r-cran-tinytex,
+               r-cran-xfun,
                r-cran-yaml,
-               libjs-jquery
-Standards-Version: 4.7.0
+               libjs-jquery,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rmarkdown
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rmarkdown.git
 Homepage: https://cran.r-project.org/package=rmarkdown

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-digest,
         r-cran-dygraphs,
         r-cran-fs,
         r-cran-rsconnect,
         r-cran-downlit,
         r-cran-sass,
         r-cran-shiny,
         r-cran-testthat,
         r-cran-tibble,
         r-cran-vctrs,
         r-cran-withr,
         r-cran-xml2,
         pandoc,
         texlive-latex-base,
         texlive-fonts-recommended,
         texlive-fonts-extra,
         texlive-latex-extra,
         texlive-latex-recommended,
         texlive-plain-generic,
         lmodern
Restrictions: allow-stderr
